function y = hopslook()
%=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
% hopslook - visualization tool for NetCDF output in HOPS
% Author: P. Oddo, Unibo Ravenna, Italy (p.oddo@ambra.unibo.it)
%
%=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-

global INTRO
global theFigure
global theControls
theLayout = [  inf  inf    inf  inf   inf  inf ;
               1    inf     2   inf   3    inf ;
               4    inf    6    inf   7    inf ;
               4    inf    6    inf   7    inf ;
               4    inf    6    inf   7    inf ;
               4    inf    6    inf   7     11 ;
               4    inf    6    inf   7      8 ;
               4    inf    6    inf   7    inf ;
               4    inf    inf  inf   inf  inf ;
               9     9     inf  inf   inf  inf ;
               9     9     10   10    inf  inf ;
               9     9     10   10    inf  inf   ;
               9     9     inf  inf   inf  5  ]  ;
[m, n] = size(theLayout);
thePos = get(0, 'DefaultUIControlPosition');
theSize = [n+2 m+2] .* thePos(3:4);
theFigure = figure('Name', 'HOPS Visualization Tool', ...
                   'NumberTitle', 'off', ...
		   'MenuBar', 'none', ...
                   'Resize', 'off', ...
		   'Color', [0.3 0.5 0.7], ...
		   'Visible', 'off', ...
                   'Units', 'pixels');
thePos = get(theFigure, 'Position');
theTop = thePos(2) + thePos(4);
thePos = thePos .* [1 1 0 0] + [0 0 theSize];
thePos(2) = theTop - (thePos(2) + thePos(4));
set(theFigure, 'Position', thePos);
%
theStyles = {'text';'text';'text';
               'listbox';'Pushbutton';'listbox';'listbox';
                 'Pushbutton';'listbox';'listbox';'Pushbutton'};
%
theStrings = {'Vars ';'Sigma';'Time';
		'Variables';'Exit';'Sigma Level';
               'Time since initialization';'PLOT';
                'Attributes';'VarsAtt';'PCOLOR'};
%
theCallbacks = {'';'';'';'select_var';'close';'select_depth';
                          'select_time';'plot_hops';
                     'set_att';'';'pcl_plot'}; 
%
theControls = zeros(size(theStyles));
for i = 1:length(theStyles)
  theControls(i) = uicontrol('Style', theStyles{i}, ...
                             'String', theStrings{i}, ...
                             'Callback', theCallbacks{i});
end

thePosition = [1 1 98 98] ./ 100;
uilayout(theControls, theLayout, thePosition);
